Skip to navigation

Get trades history

Retrieve the recent transactions of an instrument from the last 3 months with pagination.

Query parameters

instIdstringRequired

Instrument ID, e.g. BTC-USDT

typeenumOptional

Pagination Type 1: tradeId 2: timestamp The default is 1

Allowed values:
afterstringOptional
Pagination of data to return records earlier than the requested tradeId or ts.
beforestringOptional

Pagination of data to return records newer than the requested tradeId. Do not support timestamp for pagination. The latest data will be returned when using before individually

limitstringOptional

Number of results per request. The maximum and default both are 100

Response

Successful response
codestringOptional

Result code. 0 means success; any other value is an error code.

msgstringOptional
Error message. Empty on success.
datalist of objectsOptional